Subject: Announcement: New Boilerplate Text Required for all new Submissions to IETF

From: "Ed Juskevicius" <[email-masked]>
Date: Tue, 11 Nov 2008 18:03:36 -0500

Greetings.  This message is to draw your attention to the significance
of the publication of RFC5377 and RFC5378 earlier today.  
 
* RFC5377 is Advice to the Trustees of the IETF Trust on Rights to Be
Granted in IETF Documents
* RFC5378 is Rights Contributors Provide to the IETF Trust
 
Note that RFC5378 is also BCP0078.  RFC5378 is an update to RFC2026, and
RFC5378 obsoletes both RFC3978 and RFC4748. 
 
Coincident with the above, the IETF Trustees have posted a new policy
document with guidance to the community on:
* Legal Provisions Relating to IETF Documents at
http://trustee.ietf.org/license-info/
 
Taken as a set, the documents listed above specify changes that are now
required in all new submissions into the IETF.

Henrik Levkowetz has updated the idnit tool and AMS have updated the
Internet-Draft submission tool to reflect the new requirements.  An
update to the xml2rfc has been requested. 
 
Please review the "Legal Provisions Relating to IETF Documents" and
RFC5378 to discover the new boilerplate text that is now required.
Please also take action to update the tools you use for creating your
documents.

New submissions using either the old or the new boilerplate text will be
accepted starting today, until 01h00 UTC on December 16th, 2008.  After
this cutoff date, all new submissions will be required to use ONLY the
new boilerplate text.  All submissions using old boilerplate text after
the cutoff date will be rejected.

Regards and FYI.

Ed Juskevicius
IETF Trust Chair
[email-masked]

p.s. - Don't be surprised if you see periodic reminders about this as we
approach December 16th. 
_______________________________________________
Ietf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: Tim Chown <[email-masked]>
Date: Wed, 12 Nov 2008 15:12:26 +0000

Hi,

It would be great if the ietf list could be reminded when the new version
of the rather excellent xml2rfc tool is issued, so we don't need to keep
checking back for it.

Thanks,
Tim

On Tue, Nov 11, 2008 at 06:03:36PM -0500, Ed Juskevicius wrote:
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce

-- 
Tim

---

From: Iljitsch van Beijnum <[email-masked]>
Date: Wed, 12 Nov 2008 16:16:44 +0100

> of the rather excellent xml2rfc tool is issued, so we don't need to  

Can't we just get rid of this nonsense in our drafts and have only a  
pointer?

30% of my 6 page draft is boiler plate.
_______________________________________________
Ietf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: "Ed Juskevicius" <[email-masked]>
Date: Wed, 12 Nov 2008 11:29:43 -0500

> Can't we just get rid of this nonsense in our
> drafts and have only a pointer?

Unfortunately, "no".   Sorry! 

Best Regards,

Ed  J.

-----Original Message-----
From: Iljitsch van Beijnum [mailto:[email-masked]] 
Sent: Wednesday, November 12, 2008 10:17 AM
To: Tim Chown
Cc: Juskevicius, Ed (CAR:1A12); IETF Discussion
Subject: Re: Announcement: New Boilerplate Text Required for all new
Submissions to IETF

On 12 nov 2008, at 16:12, Tim Chown wrote:

> It would be great if the ietf list could be reminded when the new 
> version of the rather excellent xml2rfc tool is issued, so we don't 
> need to keep checking back for it.

---

From: "David B. Nelson" <[email-masked]>
Date: Wed, 12 Nov 2008 11:48:52 -0500

> It would be great if the ietf list could be reminded when the 
> new version of the rather excellent xml2rfc tool is issued, so
> we don't need to keep checking back for it.

It would be even *better* if the cutoff date for acceptance of submissions
in the "old" format was conditioned upon having an update to xml2rfc
available.  Has anyone given serious consideration to that notion?  If not,
consider this a formal request.  Don't start rejecting submissions with old
boilerplate until after the required tools updates have been made.  Thanks!
 
Regards,

Dave

---

From: "Livingood, Jason" <[email-masked]>
Date: Wed, 12 Nov 2008 12:59:02 -0500

+1

Jason 

> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of David B. Nelson
> Sent: Wednesday, November 12, 2008 11:49 AM
> To: 'Ed Juskevicius'
> Cc: 'IETF Discussion'
> Subject: RE: Announcement: New Boilerplate Text Required for 
> allnewSubmissions to IETF
> 
> It would be even *better* if the cutoff date for acceptance 
> of submissions in the "old" format was conditioned upon 
> having an update to xml2rfc available.  Has anyone given 
> serious consideration to that notion?  If not, consider this 
> a formal request.  Don't start rejecting submissions with old